sum.hpp File Reference

Forward declares `boost::hana::sum`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::sum = see documentation

Compute the sum of the numbers of a structure.More generally, `sum` will take any foldable structure containing objects forming a Monoid and reduce them using the Monoid's binary operation. The initial state for folding is the identity of the Monoid. It is sometimes necessary to specify the Monoid to use; this is possible by using `sum<M>`. If no Monoid is specified, the structure will use the Monoid formed by the elements it contains (if it knows it), or `integral_constant_tag<int>` otherwise. Hence,. More...

## Detailed Description

Forward declares `boost::hana::sum`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)